package com.example.azuretranslation;

import retrofit2.Call;
import retrofit2.http.Body;
import retrofit2.http.GET;
import retrofit2.http.Headers;
import retrofit2.http.POST;
import retrofit2.http.Query;

public interface AzureTranslationAPI {
    String API_URL = "https://api.cognitive.microsofttranslator.com";
    // TODO: рекомендуется использовать свой ключ, чтобы получить доп. балл
    String key = "0840b2f6011e49c09505ff816f23e3fa"; //
    String reg = "eastasia";
    // TODO: регион указать отдельной переменной

    // запрос языков работает без ключа
    @GET("/languages?api-version=3.0&scope=translation")
    Call<LanguagesResponse> getLanguages();

    @POST("/translate?api-version=3.0") // путь к API
    @Headers({
            "Content-Type: application/json",
            "Ocp-Apim-Subscription-Key: " + key,
            "Ocp-Apim-Subscription-Region: " + reg
            // TODO: указать ключ и регион
    })

    // TranslatedText - формат ответа от сервера
    // Тип ответа - TranslatedText, действие - translate, содержание запроса - пустое (нет полей формы)
    // TODO: с помощью аннотации @Body передать поля запроса к API (текст для перевода)
    // см. примеры https://square.github.io/retrofit/
    Call<TranslatedTextArray[]> translate(@Body String text, @Query("to") String lang);
}
