package com.example.azuretranslation;

import androidx.appcompat.app.AppCompatActivity;

import android.os.Bundle;
import android.widget.ArrayAdapter;
import android.widget.ListView;

public class ListActivity extends AppCompatActivity {
    DBHelper dbHelper;
    ArrayAdapter<DBHelper.Translations> lvAdapter;

    ListView listView;

    @Override
    protected void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_list);
        dbHelper = new DBHelper(this);
        listView = findViewById(R.id.listView1);
        lvAdapter = new ArrayAdapter<DBHelper.Translations>(getApplicationContext(), R.layout.support_simple_spinner_dropdown_item, dbHelper.getTranslations());
        listView.setAdapter(lvAdapter);
        lvAdapter.notifyDataSetChanged();

    }
}
